Returns the start point of a curve object.
Rhino.CurveStartPoint (strObject [, intIndex [, arrPoint])
strObject |
Required. String. The object's identifier. |
intIndex |
Optional. Number. If strObject identifies a polycurve object, then intIndex identifies the curve segment of the polycurve to query. |
arrPoint |
Optional. Point. The new start point. |
Array |
The 3-D start point of the curve if successful. |
Null |
If not successful, or on error. |
Dim strObject, arrPoint
strObject = Rhino.GetObject("Select a curve")
If Rhino.IsCurve(strObject) Then
arrPoint = Rhino.CurveStartPoint(strObject)
Rhino.AddPoint arrPoint
End If